# API Reference Overview

#### EF\_INSTANCE\_NAME <a href="#ef_instance_name" id="ef_instance_name"></a>

Configure the name of the collector instance.

* Default
  * `default`

#### EF\_API\_IP <a href="#ef_api_ip" id="ef_api_ip"></a>

The IP address on which the collector will listen for API requests.

* Default
  * `0.0.0.0`

#### EF\_API\_PORT <a href="#ef_api_port" id="ef_api_port"></a>

The port on which the collector will listen for API requests.

* Default
  * `8080`

#### EF\_API\_TLS\_ENABLE <a href="#ef_api_tls_enable" id="ef_api_tls_enable"></a>

This setting is used to enable/disable TLS connections to the API endpoint.

* Valid Values
  * `true`, `false`
* Default
  * `false`&#x20;

#### EF\_API\_TLS\_CERT\_FILEPATH <a href="#ef_api_tls_cert_filepath" id="ef_api_tls_cert_filepath"></a>

The path to the certificate to use for TLS connections to the API endpoint.

* Default
  * `''`

#### EF\_API\_TLS\_KEY\_FILEPATH <a href="#ef_api_tls_key_filepath" id="ef_api_tls_key_filepath"></a>

The path to the key to use for TLS connections to the API endpoint.

* Default
  * `''`

#### EF\_API\_BASIC\_AUTH\_ENABLE <a href="#ef_api_basic_auth_enable" id="ef_api_basic_auth_enable"></a>

This setting is used to enable/disable basic authentication protection of API endpoints.

* Default
  * `false`

#### EF\_API\_BASIC\_AUTH\_USERNAME <a href="#ef_api_basic_auth_username" id="ef_api_basic_auth_username"></a>

The username to use when connecting to basic authentication protection of API endpoints.

* Default
  * `''`

#### EF\_API\_BASIC\_AUTH\_PASSWORD <a href="#ef_api_basic_auth_password" id="ef_api_basic_auth_password"></a>

The password to use when connecting to basic authentication protection of API endpoints.

* Default
  * `''`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elastiflow.com/trapcoll/api-reference-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
